<?xml version="1.0"?>

<weblogic-application xmlns="http://www.bea.com/ns/weblogic/90"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xml>
		<parser-factory>
			<saxparser-factory>
				org.apache.xerces.jaxp.SAXParserFactoryImpl
	        </saxparser-factory>
			<document-builder-factory>
				org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
	        </document-builder-factory>
		</parser-factory>
	</xml>
	<application-param>
		<param-name>webapp.encoding.default</param-name>
		<param-value>UTF-8</param-value>
	</application-param>

	<prefer-application-packages>
		<package-name>org.apache.xerces.*</package-name>
		<package-name>javax.jws.*</package-name>
		<!-- SOAP will throw a "Cannot create a secure XMLInputFactory" if the below 3 are not added. -->
		<package-name>com.ctc.wstx.*</package-name>
		<package-name>org.codehaus.stax2.*</package-name>
		<package-name>org.apache.cxf.*</package-name>
	</prefer-application-packages>

</weblogic-application>
